Package com.avaya.clientservices.messaging.enums

## Enum MessagingProviderType

- java.lang.Object
- - java.lang.Enum<MessagingProviderType>
  - - com.avaya.clientservices.messaging.enums.MessagingProviderType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessagingProviderType>`

      public enum MessagingProviderType
      extends java.lang.Enum<MessagingProviderType>

  Represents the provider type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AVAYA_EQUINOX_CLOUD` | Zang provider
    `AVAYA_MULTIMEDIA_MESSAGING` | Avaya Multimedia Messaging provider.
    `AVAYA_ONEX_PORTAL` | AVAYA ONE-X Portal provider

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessagingProviderType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessagingProviderType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVAYA_MULTIMEDIA_MESSAGING

          public static final MessagingProviderType AVAYA_MULTIMEDIA_MESSAGING

      Avaya Multimedia Messaging provider.

    - #### AVAYA_EQUINOX_CLOUD

          public static final MessagingProviderType AVAYA_EQUINOX_CLOUD

      Zang provider

    - #### AVAYA_ONEX_PORTAL

          public static final MessagingProviderType AVAYA_ONEX_PORTAL

      AVAYA ONE-X Portal provider

  - ### Method Detail

    - #### values

          public static MessagingProviderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagingProviderType c : MessagingProviderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagingProviderType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null